import tkinter as tk
from tkinter import ttk

from tab_simulator import TabSimulator
from tab_drag import TabDrag
from tab_search import TabSearch

class MainApp:
    def __init__(self, master):
        self.master = master
        self.master.title("Obtención de trayectoria y energía")

        self.notebook = ttk.Notebook(master)
        self.notebook.pack(fill="both", expand=True)

        # Pestaña 1: Simulador Trayectoria
        self.tab_sim = TabSimulator(self.notebook)
        self.notebook.add(self.tab_sim.frame, text="Simulador")

        # Pestaña 2: Cálculo Coef. Rozamiento
        self.tab_drag = TabDrag(self.notebook, self.tab_sim)
        self.notebook.add(self.tab_drag.frame, text="Rozamiento")

        # Pestaña 3: Búsqueda (ángulo que minimiza la velocidad)
        self.tab_search = TabSearch(self.notebook, self.tab_sim)
        self.notebook.add(self.tab_search.frame, text="Optimización")


if __name__ == "__main__":
    root = tk.Tk()
    app = MainApp(root)
    root.mainloop()
